/*
 *	vwinfunc.h
 */

#ifndef VWINFUNC_H_
#define VWINFUNC_H_

#include "k32undoc.h"

#ifdef __cplusplus
extern "C" {
#endif


#include <pshpack1.h>
typedef struct DPMIREGS_t {
	DWORD edi;			// 00h
	DWORD esi;			// 04h
	DWORD ebp;			// 08h
	DWORD reserved;		// 0Ch
	DWORD ebx;			// 10h
	DWORD edx;			// 14h
	DWORD ecx;			// 18h
	DWORD eax;			// 1Ch
	WORD flags;			// 20h
	WORD es;			// 22h
	WORD ds;			// 24h
	WORD fs;			// 26h
	WORD gs;			// 28h
	WORD ip;			// 2Ah
	WORD cs;			// 2Ch
	WORD sp;			// 2Eh
	WORD ss;			// 30h
} DPMIREGS, *PDPMIREGS; 
#include <poppack.h>


#define VWin32_Get_Version		0x002A0000
#define VWIN32_Int21Dispatch	0x002A0010
#define VWIN32_Int21Dispatch_	0x002A000D
#define VWIN32_Int31Dispatch	0x002A0029
#define VWIN32_Int31Dispatch_	0x002A0020

DWORD VWin32GetVersion(void);
void VWin32PMInt21(DPMIREGS *regs);
DWORD VWin32RMInt(int intno, DPMIREGS *regs);

BOOL IsWindows9x(void);



#ifdef __cplusplus
}
#endif

#endif /* VWINFUNC_H_ */
